public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Peter Bieringer <pb@bieringer.de>
To: git-commits@fedoraproject.org
Subject: [rpms/acme-tiny] rawhide: update existing crt in case csr is newer
Date: Sat, 22 Aug 2026 16:02:57 GMT [thread overview]
Message-ID: <178741457785.1.16181759045567632814.rpms-acme-tiny-01f60a920c8e@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/acme-tiny
Branch : rawhide
Commit : 01f60a920c8e4fae25ad2883edb3a38c00151e48
Author : Peter Bieringer <pb@bieringer.de>
Date : 2023-12-30T21:04:04+01:00
Stats : +1/-1 in 1 file(s)
URL : https://src.fedoraproject.org/rpms/acme-tiny/c/01f60a920c8e4fae25ad2883edb3a38c00151e48?branch=rawhide
Log:
update existing crt in case csr is newer
---
diff --git a/acme-tiny-sign.sh b/acme-tiny-sign.sh
index 9999005..20a2c26 100755
--- a/acme-tiny-sign.sh
+++ b/acme-tiny-sign.sh
@@ -32,7 +32,7 @@ for csr in csr/*.csr; do
tmp="certs/${crt##csr/}.tmp"
crt="certs/${crt##csr/}.crt"
if test -s "$crt" && openssl x509 -in "$crt" -noout -checkend "$secs"; then
- continue
+ [ $csr -nt $crt ] || continue
fi
if test -w "$crt" || test ! -e "$crt"; then
echo acme_tiny --account-key private/account.key --csr "$csr" \
reply other threads:[~2026-08-22 16:02 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178741457785.1.16181759045567632814.rpms-acme-tiny-01f60a920c8e@fedoraproject.org \
--to=pb@bieringer.de \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox